 
.namespace VideoPlayer_SkipButton


function OnEnable()
	Closeup_SkipButton_Indication.Flags_Visible = false
end

-- TODO le faire apparaitre au but de 2 min
function OnWbpMouseLUp()
	if not IsEqualVariables("CurrentGamePhase","Video") then
		return false
	end

	VideoPlayer.FinishVideo()
	
	return true
end

function CanClickOn()
	return true
end

function OnWbpMouseLDown()
	return true
end

function OnMouseOn()
	if not IsEqualVariables("CurrentGamePhase","Video") then
		return false
	end
	
	Closeup_SkipButton_Indication.Parent = self
	Closeup_SkipButton_Indication.Flags_Visible = true
	Closeup_SkipButton_Indication_Text.Text = GlobalFunctions.GetText("msg_skip_closeup")
	Closeup_SkipButton_Indication_Text.Position_X = POSITIONSKIPBUTTONX
end


function OnMouseOff()
	if not IsEqualVariables("CurrentGamePhase","Video") then
		return false
	end
	
	if Closeup_SkipButton_Indication.Parent.Name == self.Name then
		Closeup_SkipButton_Indication.Flags_Visible = false
	end
end
